软件No1:绿色软件制作与分享。

如何在firefox上面安装旧的不兼容扩展

firefoxlogo        每次下载使用最新版火狐的时候,一定会在附加组件页面上遇到那些“不适用于firefox XX版本”的扩展,这样有些常用的优秀扩展就不能够使用了。这篇文章会告诉你,如何简单的绕过火狐内置的扩展兼容性检查,把那些过时的扩展也安装上去。在作者更新前先撑上一段时间。

       这个小技巧对于任何新版本的firefox都是有用的,你可以在任何时间使用这个方法。并且过程非常简单,任何人都可以做到。

       1、首先,复制你想要安装的不兼容扩展的网址链接,把它粘贴到chrome、opera等其他浏览器中打开。然后下载那个.xpi结尾的扩展。

       这里以cacheviewer这个附加组件为例子。

       2、下载完后,选择使用winrar或者winzip等压缩软件打开。你会在其中看到一个叫做“install.rdf”的文件。把它复制出来(因为不能直接编辑)。

fireold0

       3、使用文本编辑器打开这个.rpf结尾的文件,找到“maxVersion”,把里面的数字改成你现在的版本,比如目前使用火狐4,而cacheviewer只支持到3.6版,那么这边应该修改为4.0.*

       注意:由于开源的好处,这些扩展还可以被安装到其他浏览器中,所以一定要认准是<!-- Firefox -->下面的“maxVersion”。这样才可以绕过火狐的兼容检查。

       4、保存修改好的“install.rdf”文件,然后再次使用压缩软件打开这个扩展,把修改的文件扔进去替换原来的文件。

       5、把修改的扩展扔进firefox,就可以安装了。

       使用上面这个方法,就可以从容应对每次火狐的版本升级。

本文地址:http://www.rjno1.com/infor/diy/495-how-to-install-old-incompatible-addons-on-new-firefox.html


添加评论

验证码


刷新


Copyright © 2010-2016 RJNo1.com,All Rights Reserved.

Template V3.8.2 Designed by *HongHui  |  网站地图

软件No1 版权所有